/*
 * Copyright (C) 2010, Center for Adaptive Behaviour and Cognition (ABC).
 * Developer: Martijn Brakenhoff 
 * 
 * Max Planck Institute for Human Development
 * (Max-Planck-Institut fr Bildungsforschung)
 * Lentzeallee 94, 14195 Berlin
 * Germany 
 */
package eu.larkc.jactr.core.chunk.larkc;

import eu.larkc.jactr.core.chunk.rdf.IChunkRdf;

/**
 * A marker interface for all Chunks containing LarKC-result data.
 * 
 * @author Martijn Brakenhoff
 * @created April 29, 2010
 */
public interface IChunkLarKC extends IChunkRdf {
	/**
	 * Changes the symbolic chunk to enable the storage of LarKC Data.
	 * Must be called before the chunk is encoded, because any RDF data
	 * that was set will be lost.
	 */
	public void enableLarKCData();
}
