/*
 * Copyright (C) 2010, Center for Adaptive Behaviour and Cognition (ABC).
 * Developer: Martijn Brakenhoff 
 * 
 * Max Planck Institute for Human Development
 * (Max-Planck-Institut fr Bildungsforschung)
 * Lentzeallee 94, 14195 Berlin
 * Germany 
 */
package eu.larkc.jactr.core.chunk.rdf;

import org.jactr.core.chunk.five.DefaultChunk5;
import org.jactr.core.chunktype.IChunkType;

import eu.larkc.jactr.core.chunk.larkc.BasicSymbolicChunkLarKC;
import eu.larkc.jactr.core.chunk.larkc.IChunkLarKC;
import eu.larkc.jactr.core.chunk.rdf.BasicSymbolicChunkRdf;
import eu.larkc.jactr.core.chunk.rdf.IChunkRdf;

/**
 * The DefaultChunkRdf class implements the basic structure for the IChunk
 * interface.
 * 
 * @author Martijn Brakenhoff
 * @created March 15, 2010
 */
public class DefaultChunkRdf extends DefaultChunk5 implements IChunkRdf, IChunkLarKC {

  /**
   * Constructor for the DefaultChunkRdf object
   */
	public DefaultChunkRdf(IChunkType parentChunkType) {
		super(parentChunkType);
		setSymbolicChunk(new BasicSymbolicChunkRdf(this, parentChunkType));
	}
	
	public void enableLarKCData() {
		if (isEncoded()) {
			throw new IllegalStateException("LarKC Data storage cannot be enabled after a " +
					"chunk has been encoded.");
		}
		setSymbolicChunk(new BasicSymbolicChunkLarKC(this, _symbolicChunk.getChunkType()));
	}
}