/*
 * Copyright (C) 2010, Center for Adaptive Behaviour and Cognition (ABC).
 * Developer: Martijn Brakenhoff 
 * 
 * Max Planck Institute for Human Development
 * (Max-Planck-Institut fr Bildungsforschung)
 * Lentzeallee 94, 14195 Berlin
 * Germany 
 */
package eu.larkc.jactr.modules.sparql;

import java.util.Collection;
import java.util.Collections;

import org.jactr.core.buffer.IActivationBuffer;
import org.jactr.core.module.retrieval.buffer.DefaultRetrievalBuffer6;

import eu.larkc.core.data.DataFactory;
import eu.larkc.core.data.SPARQLEndpoint;
import eu.larkc.jactr.modules.sparql.buffer.DefaultSPARQLRetrievalBuffer;

/**
 * The default retrieval module for retrieving chunks from the rdf DeclarativeModule.
 * 
 * @author Martijn Brakenhoff
 * @created April 14, 2010
 */
public class DefaultSPARQLRetrievalModule extends AbstractSPARQLRetrievalModule
		implements ISPARQLRetrievalModule {
	
	protected DefaultRetrievalBuffer6 _retrievalBuffer;

	@Override
	protected Collection<IActivationBuffer> createBuffers() {
	    _retrievalBuffer = new DefaultSPARQLRetrievalBuffer(getName(), this);
	    return Collections.singleton((IActivationBuffer) _retrievalBuffer);
	}
	
	@Override
	public void reset(boolean resetFinsts) {
		_retrievalBuffer.clear();
	}
	
	@Override
	public void dispose() {
		try {
			super.dispose();
		} catch (NullPointerException npe) {
			
		}
		_retrievalBuffer.dispose();
	}

	@Override
	public SPARQLEndpoint getSPARQLEndpoint() {
		return DataFactory.INSTANCE.createRdfStoreConnection();
	}

}
