/*
 * Copyright (C) 2010, Center for Adaptive Behaviour and Cognition (ABC).
 * Developer: Martijn Brakenhoff 
 * 
 * Max Planck Institute for Human Development
 * (Max-Planck-Institut fr Bildungsforschung)
 * Lentzeallee 94, 14195 Berlin
 * Germany 
 */
package eu.larkc.jactr.modules.sparql.buffer;

import org.jactr.core.module.retrieval.IRetrievalModule;
import org.jactr.core.module.retrieval.buffer.DefaultRetrievalBuffer6;

import eu.larkc.jactr.modules.sparql.buffer.SPARQLRetrievalRequestDelegate;

/**
 * A jACT-R Buffer that can receive SPARQL Requests.
 * 
 * @author Martijn Brakenhoff
 * @created April 20, 2010
 */
public class DefaultSPARQLRetrievalBuffer extends DefaultRetrievalBuffer6 {

	public DefaultSPARQLRetrievalBuffer(String name, IRetrievalModule module) {
		super(name, module);
		
	    _retrievalDelegate = new SPARQLRetrievalRequestDelegate(module);
	    _retrievalDelegate.setAsynchronous(true);
	    
	    addRequestDelegate(_retrievalDelegate);
	}

}
